com.genesyslab.wfm8.API.service.calendar850

## Class CalNotification

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar850.CalNotification

- All Implemented Interfaces:
    java.io.Serializable

      public class CalNotification
      extends java.lang.Object
      implements java.io.Serializable

  Stores all calendar data changes taking place over the course of a given period of time.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgAgentShort>` | `cfgAgentInfo` Contains a small amount of agent information for each unique agent in the returned agent days.
    `protected int` | `cfgAgentInfoNSizeIs` Number of elements in "cfgAgentInfo" array
    `protected java.util.List<CalAuditItem>` | `changes` A list of `CalAuditItem` that have been modified.
    `protected int` | `changesNSizeIs` Number of elements in "changes" array
    `protected java.util.List<CalItemInformation>` | `items` Contains a list of detailed information about modified Calendar Items `CalItemInformation`
    `protected int` | `itemsNSizeIs` Number of elements in "items" array
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` New timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalNotification()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgAgentShort>` | `getCfgAgentInfo()` Gets the cfgAgentInfo value for this CalNotification.
    `int` | `getCfgAgentInfoNSizeIs()` Gets the cfgAgentInfoNSizeIs value for this CalNotification.
    `java.util.List<CalAuditItem>` | `getChanges()` Gets the changes value for this CalNotification.
    `int` | `getChangesNSizeIs()` Gets the changesNSizeIs value for this CalNotification.
    `java.util.List<CalItemInformation>` | `getItems()` Gets the items value for this CalNotification.
    `int` | `getItemsNSizeIs()` Gets the itemsNSizeIs value for this CalNotification.
    `long` | `getTimestamp()` Gets the timestamp value for this CalNotification.
    `int` | `hashCode()`
    `void` | `setCfgAgentInfo(java.util.List<CfgAgentShort> cfgAgentInfo)` Sets the cfgAgentInfo value for this CalNotification.
    `void` | `setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)` Sets the cfgAgentInfoNSizeIs value for this CalNotification.
    `void` | `setChanges(java.util.List<CalAuditItem> changes)` Sets the changes value for this CalNotification.
    `void` | `setChangesNSizeIs(int changesNSizeIs)` Sets the changesNSizeIs value for this CalNotification.
    `void` | `setItems(java.util.List<CalItemInformation> items)` Sets the items value for this CalNotification.
    `void` | `setItemsNSizeIs(int itemsNSizeIs)` Sets the itemsNSizeIs value for this CalNotification.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CalNotification.
    `java.lang.String` | `toString()`
    `CalNotification` | `withCfgAgentInfo(CfgAgentShort... values)`
    `CalNotification` | `withCfgAgentInfo(java.util.Collection<CfgAgentShort> values)`
    `CalNotification` | `withCfgAgentInfoNSizeIs(int value)`
    `CalNotification` | `withChanges(CalAuditItem... values)`
    `CalNotification` | `withChanges(java.util.Collection<CalAuditItem> values)`
    `CalNotification` | `withChangesNSizeIs(int value)`
    `CalNotification` | `withItems(CalItemInformation... values)`
    `CalNotification` | `withItems(java.util.Collection<CalItemInformation> values)`
    `CalNotification` | `withItemsNSizeIs(int value)`
    `CalNotification` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### timestamp

          protected long timestamp

      New timestamp value

    - #### changesNSizeIs

          protected int changesNSizeIs

      Number of elements in "changes" array

    - #### changes

          protected java.util.List<CalAuditItem> changes

      A list of `CalAuditItem` that have been modified. This list includes calendar items that have changed. Calendar item details can be found in the "items" member and are uniquely identified by the combination of wmCalendarItemId + timestamp.

    - #### itemsNSizeIs

          protected int itemsNSizeIs

      Number of elements in "items" array

    - #### items

          protected java.util.List<CalItemInformation> items

      Contains a list of detailed information about modified Calendar Items `CalItemInformation`

    - #### cfgAgentInfoNSizeIs

          protected int cfgAgentInfoNSizeIs

      Number of elements in "cfgAgentInfo" array

    - #### cfgAgentInfo

          protected java.util.List<CfgAgentShort> cfgAgentInfo

      Contains a small amount of agent information for each unique agent in the returned agent days. This information is "null" if the agent info was not requested. `CfgAgentShort`

  - ### Constructor Detail

    - #### CalNotification

          public CalNotification()

  - ### Method Detail

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CalNotification.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CalNotification.
      Parameters:
        `timestamp` -

    - #### getChangesNSizeIs

          public int getChangesNSizeIs()

      Gets the changesNSizeIs value for this CalNotification.
      Returns:
        changesNSizeIs

    - #### setChangesNSizeIs

          public void setChangesNSizeIs(int changesNSizeIs)

      Sets the changesNSizeIs value for this CalNotification.
      Parameters:
        `changesNSizeIs` -

    - #### getChanges

          public java.util.List<CalAuditItem> getChanges()

      Gets the changes value for this CalNotification.
      Returns:
        changes

    - #### setChanges

          public void setChanges(java.util.List<CalAuditItem> changes)

      Sets the changes value for this CalNotification.
      Parameters:
        `changes` -

    - #### getItemsNSizeIs

          public int getItemsNSizeIs()

      Gets the itemsNSizeIs value for this CalNotification.
      Returns:
        itemsNSizeIs

    - #### setItemsNSizeIs

          public void setItemsNSizeIs(int itemsNSizeIs)

      Sets the itemsNSizeIs value for this CalNotification.
      Parameters:
        `itemsNSizeIs` -

    - #### getItems

          public java.util.List<CalItemInformation> getItems()

      Gets the items value for this CalNotification.
      Returns:
        items

    - #### setItems

          public void setItems(java.util.List<CalItemInformation> items)

      Sets the items value for this CalNotification.
      Parameters:
        `items` -

    - #### getCfgAgentInfoNSizeIs

          public int getCfgAgentInfoNSizeIs()

      Gets the cfgAgentInfoNSizeIs value for this CalNotification.
      Returns:
        cfgAgentInfoNSizeIs

    - #### setCfgAgentInfoNSizeIs

          public void setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)

      Sets the cfgAgentInfoNSizeIs value for this CalNotification.
      Parameters:
        `cfgAgentInfoNSizeIs` -

    - #### getCfgAgentInfo

          public java.util.List<CfgAgentShort> getCfgAgentInfo()

      Gets the cfgAgentInfo value for this CalNotification.
      Returns:
        cfgAgentInfo

    - #### setCfgAgentInfo

          public void setCfgAgentInfo(java.util.List<CfgAgentShort> cfgAgentInfo)

      Sets the cfgAgentInfo value for this CalNotification.
      Parameters:
        `cfgAgentInfo` -

    - #### withCfgAgentInfo

          public CalNotification withCfgAgentInfo(java.util.Collection<CfgAgentShort> values)

    - #### withCfgAgentInfo

          public CalNotification withCfgAgentInfo(CfgAgentShort... values)

    - #### withCfgAgentInfoNSizeIs

          public CalNotification withCfgAgentInfoNSizeIs(int value)

    - #### withChanges

          public CalNotification withChanges(java.util.Collection<CalAuditItem> values)

    - #### withChanges

          public CalNotification withChanges(CalAuditItem... values)

    - #### withChangesNSizeIs

          public CalNotification withChangesNSizeIs(int value)

    - #### withItems

          public CalNotification withItems(java.util.Collection<CalItemInformation> values)

    - #### withItems

          public CalNotification withItems(CalItemInformation... values)

    - #### withItemsNSizeIs

          public CalNotification withItemsNSizeIs(int value)

    - #### withTimestamp

          public CalNotification withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.